/****************************************************************
 * Debug routines
 *
 * Copyright (c) 1998, 1999
 *               Thomas Linder, Thomas.Linder@gmx.net
 *
 * $Id: debug.h,v 1.1.1.1 1999/08/15 19:54:42 tl Exp $
 ****************************************************************
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 ****************************************************************/

#if DEBUG

int init_debug (const int debuglevel, const char * tmpl);
void init_debug_rcenv (const char * rcline, const char * envvar);
int debug (const int lvl, const char * fmt, ...);
void end_debug ();

#else /* DEBUG */	

#define init_debug() 0
#define init_debug_rcenv()
#define debug() 0
#define end_debug()

#endif /* DEBUG */
